Vulnerabilities
Deactivate vulnerability monitoring for a vulnerability
Deactivate monitoring for select vulnerabilities. Vanta will not monitor a deactivated vulnerability until it is reactivated.
POST
/
vulnerabilities
/
deactivate
Deactivate vulnerability monitoring for a vulnerability
curl --request POST \
--url https://api.vanta.com/v1/vulnerabilities/deactivate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"updates": [
{
"id": "<string>",
"deactivateReason": "<string>",
"shouldReactivateWhenFixable": true,
"deactivateUntilDate": "2023-11-07T05:31:56Z"
}
]
}
'import requests
url = "https://api.vanta.com/v1/vulnerabilities/deactivate"
payload = { "updates": [
{
"id": "<string>",
"deactivateReason": "<string>",
"shouldReactivateWhenFixable": True,
"deactivateUntilDate": "2023-11-07T05:31:56Z"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
updates: [
{
id: '<string>',
deactivateReason: '<string>',
shouldReactivateWhenFixable: true,
deactivateUntilDate: '2023-11-07T05:31:56Z'
}
]
})
};
fetch('https://api.vanta.com/v1/vulnerabilities/deactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "a2f7e1b9d0c3f4e5a6c7b8d9",
"status": "SUCCESS"
},
{
"id": "OTHER_VULNERABILITY_ID",
"status": "ERROR",
"message": "Invalid Input"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
List of vulnerabilities to deactivate
Required array length:
1 - 50 elementsShow child attributes
Show child attributes
Response
200 - application/json
Ok
List of results matching the length and order of the request
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?
Previous
Reactivate vulnerability monitoringReactivate vulnerabilities and resume Vanta monitoring.
Next
⌘I
Deactivate vulnerability monitoring for a vulnerability
